## openjdk-26 26~22ea

=== CMakeLists.txt ===
# Note: CMake support is community-based. The maintainers do not use CMake
# internally.

cmake_minimum_required(VERSION 3.13)

project(googletest-distribution)
set(GOOGLETEST_VERSION 1.14.0)

if(NOT CYGWIN AND NOT MSYS AND NOT ${CMAKE_SYSTEM_NAME} STREQUAL QNX)
  set(CMAKE_CXX_EXTENSIONS OFF)
endif()

enable_testing()

include(CMakeDependentOption)
include(GNUInstallDirs)

#Note that googlemock target already builds googletest
option(BUILD_GMOCK "Builds the googlemock subproject" ON)
option(INSTALL_GTEST "Enable installation of googletest. (Projects embedding googletest may want to turn this OFF.)" ON)
option(GTEST_HAS_ABSL "Use Abseil and RE2. Requires Abseil and RE2 to be separately added to the build." OFF)

if(BUILD_GMOCK)
  add_subdirectory( googlemock )
else()
  add_subdirectory( googletest )
endif()

=== make/devkit/Makefile ===
#
# Copyright (c) 2013, 2025, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

################################################################################
#
# This Makefile, together with Tools.gmk, can be used to compile a set of
# gcc based cross compilation, portable, self contained packages, capable
# of building OpenJDK.
#
# By default this Makefile will build a native toolchain for the current
# platform if called with something like this:
#
# make tars BASE_OS=OL
#
# To build the full set of crosstools for additional platforms, use a command
# line looking like this:
#
# make TARGETS="aarch64-linux-gnu" BASE_OS=Fedora
# or
# make TARGETS="arm-linux-gnueabihf ppc64le-linux-gnu" BASE_OS=Fedora BASE_OS_VERSION=17
#
# to build several devkits for a specific OS version at once.
# You can find the final results under ../../build/devkit/result/<host>-to-<target>
#
# You may want the native toolchain to be used when compiling the cross
# compilation toolchains. To achieve this, first build the native toolchain,
# then add the bin directory from this build to the path when invoking this
# makefile again for cross compilation. Ex:
#
# PATH=$PWD/../../build/devkit/result/x86_64-linux-gnu-to-x86_64-linux-gnu/bin:$PATH \
#    make TARGETS="arm-linux-gnueabihf ppc64le-linux-gnu" BASE_OS=Fedora
#
# This is the makefile which iterates over all host and target platforms.
#

COMMA := ,

OS := $(shell uname -o)
CPU := $(shell uname -m)

# Figure out what platform this is building on.
ME := $(CPU)-$(if $(findstring Linux,$(OS)),linux-gnu)

$(info Building on platform $(ME))

#
# By default just build for the current platform, which is assumed to be Linux
#
ifeq ($(TARGETS), )
  PLATFORMS := $(ME)
  HOST_PLATFORMS := $(PLATFORMS)
else
  PLATFORMS := $(subst $(COMMA), , $(TARGETS))
  HOST_PLATFORMS := $(ME)
endif
TARGET_PLATFORMS := $(PLATFORMS)
$(info HOST_PLATFORMS $(HOST_PLATFORMS))
$(info TARGET_PLATFORMS $(TARGET_PLATFORMS))

all compile : $(PLATFORMS)

ifeq ($(SKIP_ME), )
  $(foreach p,$(filter-out $(ME),$(PLATFORMS)),$(eval $(p) : $$(ME)))
endif

OUTPUT_ROOT = $(abspath ../../build/devkit)
RESULT = $(OUTPUT_ROOT)/result

SUBMAKEVARS = HOST=$@ BUILD=$(ME) RESULT=$(RESULT) OUTPUT_ROOT=$(OUTPUT_ROOT)

$(HOST_PLATFORMS) :
	@echo 'Building compilers for $@'
	@echo 'Targets: $(TARGET_PLATFORMS)'
	for p in $(filter $@, $(TARGET_PLATFORMS)) $(filter-out $@, $(TARGET_PLATFORMS)); do \
	  $(MAKE) -f Tools.gmk download-rpms $(SUBMAKEVARS) \
              TARGET=$$p PREFIX=$(RESULT)/$@-to-$$p && \
	  $(MAKE) -f Tools.gmk all $(SUBMAKEVARS) \
              TARGET=$$p PREFIX=$(RESULT)/$@-to-$$p && \
	  $(MAKE) -f Tools.gmk ccache $(SUBMAKEVARS) \
              TARGET=$@ PREFIX=$(RESULT)/$@-to-$$p || exit 1 ; \
	done
	@echo 'All done"'

TODAY := $(shell date +%Y%m%d)

define Mktar
  $(1)-to-$(2)_tar = $$(RESULT)/sdk-$(1)-to-$(2)-$$(TODAY).tar.gz
  $$($(1)-to-$(2)_tar) : PLATFORM = $(1)-to-$(2)
  TARFILES += $$($(1)-to-$(2)_tar)
endef

$(foreach p,$(HOST_PLATFORMS),$(foreach t,$(TARGET_PLATFORMS),$(eval $(call Mktar,$(p),$(t)))))

tars : all $(TARFILES)
onlytars : $(TARFILES)
%.tar.gz :
	$(MAKE) -r -f Tars.gmk SRC_DIR=$(RESULT)/$(PLATFORM) TAR_FILE=$@

clean :
	rm -rf $(addprefix ../../build/devkit/, result $(HOST_PLATFORMS))
dist-clean: clean
	rm -rf $(addprefix ../../build/devkit/, src download)

FORCE :
.PHONY : all compile tars $(HOST_PLATFORMS) clean dist-clean

=== test/failure_handler/Makefile ===
#
# Copyright (c) 2015, 2021, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

#
# This is a temporary standalone makefile
#

BUILD_DIR := $(shell pwd)/build
CLASSES_DIR := ${BUILD_DIR}/classes
IMAGE_DIR := ${BUILD_DIR}/image
RUN_DIR := $(shell pwd)/run
CLASSPATH := ${JTREG_HOME}/lib/jtreg.jar:${JAVA_HOME}/lib/tools.jar
SRC_DIR := src/share/classes/
SOURCES := ${SRC_DIR}/jdk/test/failurehandler/*.java                   \
           ${SRC_DIR}/jdk/test/failurehandler/action/*.java            \
           ${SRC_DIR}/jdk/test/failurehandler/jtreg/*.java             \
           ${SRC_DIR}/jdk/test/failurehandler/value/*.java

CONF_DIR = src/share/conf

JAVA_RELEASE = 15

TARGET_JAR = ${IMAGE_DIR}/lib/jtregFailureHandler.jar

OS_NAME := $(shell uname -o 2>&1)

ifeq ("${OS_NAME}", "Cygwin")
BUILD_DIR := $(shell cygpath -m "${BUILD_DIR}")
CLASSES_DIR := $(shell cygpath -m "${CLASSES_DIR}")
IMAGE_DIR := $(shell cygpath -m "${IMAGE_DIR}")
RUN_DIR := $(shell cygpath -m "${RUN_DIR}")
SRC_DIR := $(shell cygpath -m "${SRC_DIR}")
JAVA_HOME := $(shell cygpath -m "${JAVA_HOME}")
JTREG_HOME := $(shell cygpath -m "${JTREG_HOME}")
CLASSPATH := $(shell cygpath -pm "${CLASSPATH}")
endif

all: clean test

check_defined = $(foreach 1,$1,$(__check_defined))
__check_defined = $(if $(value $1),, $(error $1 is not set))

classes: require_env
	mkdir -p ${IMAGE_DIR}/bin ${IMAGE_DIR}/lib ${CLASSES_DIR}
	"${JAVA_HOME}"/bin/javac -target ${JAVA_RELEASE} -source ${JAVA_RELEASE} \
		-sourcepath "$(shell pwd)"                                           \
		-cp "${CLASSPATH}" 													 \
		-d ${CLASSES_DIR}                                  					 \
        ${SOURCES}
	"${JAVA_HOME}"/bin/jar cf "${TARGET_JAR}" -C "${CLASSES_DIR}" .
	"${JAVA_HOME}"/bin/jar uf "${TARGET_JAR}" -C "${CONF_DIR}" .

#
# Use JTREG_TEST_OPTS for test VM options
# Use JTREG_TESTS for jtreg tests parameter
#
test: require_env build
	rm -rf "${RUN_DIR}"
	mkdir -p "${RUN_DIR}"
	"${JTREG_HOME}"/bin/jtreg                                           \
        -jdk:"${JAVA_HOME}"                                                 \
        ${JTREG_TEST_OPTS}                                                  \
        -timeout:0.1 -va -retain:all                                        \
        -noreport                                                           \
        -agentvm                                                            \
        -thd:"${TARGET_JAR}"                                                \
        -th:jdk.test.failurehandler.jtreg.GatherProcessInfoTimeoutHandler   \
        -thtimeout:0                                                        \
        -od:"${TARGET_JAR}"                                                 \
        -o:jdk.test.failurehandler.jtreg.GatherDiagnosticInfoObserver       \
        -w:"${RUN_DIR}/JTwork"                                              \
        -r:"${RUN_DIR}/JTreport"                                            \
        $(if ${JTREG_TESTS}, ${JTREG_TESTS}, test)                          \
        && false || true

debug: JTREG_TEST_OPTS += "-J-agentlib:jdwp=transport=dt_socket,server=y,suspend=y,address=5005'"
debug: test

require_env:
	$(call check_defined, JAVA_HOME)
	$(call check_defined, JTREG_HOME)

clean:
	rm -rf "${BUILD_DIR}" "${RUN_DIR}"

build: classes

.PHONY: all build classes test require_env clean
.DEFAULT: all

=== debian/changelog ===
openjdk-26 (26~22ea-2) unstable; urgency=medium

  * Revert the JDK-8351148 change, breaking zero on i386 and x32.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Oct 2025 22:43:06 +0100

openjdk-26 (26~22ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 22.

  [ Vladimir Petko ]
  * d/rules: Drop jrunscript.

  [ Matthias Klose ]
  * d/rules: Adjust any_archs, hppa is unlikely to get fixed for the
    opposite stack frame growth.
  * d/rules: Run the testsuite for loong64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Oct 2025 17:52:16 +0100

=== debian/control ===
Source: openjdk-26
Section: java
Priority: optional
Maintainer: OpenJDK Team <openjdk-26@packages.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 11),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
  time, strip-nondeterminism, debugedit (>= 4.16),
  jtreg8 (>= 8.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, xvfb  <!nocheck>,
  autoconf, automake, ant, ant-optional,
  g++-15 <!cross>,
  openjdk-25-jdk-headless:native | openjdk-26-jdk-headless:native,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
  libffi-dev, libffi-dev:native,
  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!powerpc !ppc64 !ppc64el !sh4 !s390x],
  libnss3-dev (>= 2:3.17.1),
  openjdk-26-jdk-headless <cross>,
Build-Depends-Indep: graphviz, pandoc,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://openjdk.java.net/
Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk
Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git

Package: openjdk-26-jdk-headless
Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-26-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-26-demo, openjdk-26-source
Provides: java-sdk-headless (= ${vm:Version}), java-compiler
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-26-jre-headless
Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends},
  ${fontmanager:Recommends}, ${jsound:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless (= ${vm:Version}),
  ${defaultvm:Provides}, ${jvm:Provides}
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.

Package: openjdk-26-jdk
Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-26-jre (= ${binary:Version}),
  openjdk-26-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-26-demo, openjdk-26-source, visualvm
Provides: java-sdk (= ${vm:Version}), java-compiler
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-26-jre
Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-26-jre-headless (= ${binary:Version}),
  ${dlopenjre:Depends}, ${fontmanager:Depends}, ${jsound:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Provides: java-runtime (= ${vm:Version})
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.

Package: openjdk-26-demo
Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-26-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-26-source
Architecture: all
Multi-Arch: foreign
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-26-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-26-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends},
  libjs-jquery,
  libjs-jquery-ui,
  libjs-jquery-ui-theme-base,
Suggests: openjdk-26-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-26-dbg
Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-26-jre-headless (= ${binary:Version}),
   ${misc:Depends},${shlibs:Depends}
Recommends: openjdk-26-jre (= ${binary:Version})
Suggests: openjdk-26-jdk (= ${binary:Version})
Conflicts: ${dbg:Conflicts}
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-26-testsupport
Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Depends: openjdk-26-jdk (= ${binary:Version}),
  build-essential, xfwm4, xvfb, dbus-x11, libatk-wrapper-java,
  libatk-wrapper-java-jni, jtreg8 (>= 8.1+1~), libtestng7-java,
  ${shlibs:Depends},
  ${misc:Depends}
Description: Java runtime based on OpenJDK (regression test support)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains all the binary files needed to run the
 OpenJDK autopkg tests.

Package: openjdk-26-jvmci-jdk
Architecture: amd64
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Description: JVMCI-enabled SDK for building graalvm
 This package provides a JVMCI-enabled GraalVM builder Java SDK.

Package: openjdk-26-jre-zero
Architecture: amd64 arm64 ppc64 ppc64el riscv64 s390x
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-26-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/buildflags.mk

unexport LANG LC_ALL

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
PKGYEAR := $(shell echo $(call vafilt,$(CHANGELOG_VARS),Timestamp) | date --utc +%Y)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

ifneq (,$(filter $(distrel),precise))
  OBJCOPY := objcopy
  STRIP := strip
else
  OBJCOPY := $(DEB_HOST_GNU_TYPE)-objcopy
  STRIP := $(DEB_HOST_GNU_TYPE)-strip
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el riscv64 s390x
# see https://bugs.openjdk.org/browse/JDK-8321125 (armhf removed)
# see https://bugs.openjdk.org/browse/JDK-8338285,
# https://bugs.openjdk.org/browse/JDK-8341871 (i386 removed)
hotspot_archs	= amd64 arm64 ppc64 ppc64el riscv64 s390x

jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc ppc64 sh4 x32
jtreg_archs	+= armel loong64 mipsel mips64el
jtreg_archs	+= riscv64

jvmci_archs	= amd64

# FIXME: use bootcycle builds for zero archs?
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
#bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
#bootcycle_build =
zbootcycle_build =
zbootcycle_build = yes
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build =
  zbootcycle_build =
endif
ifneq (,$(filter nobootcycle, $(DEB_BUILD_OPTIONS)))
  bootcycle_build =
  zbootcycle_build =
endif

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
  is_default = no
else
  is_default = yes
endif

#is_upstream_release = yes

srcdir		= .
builddir	= build
zbuilddir	= build-zero
jvmci_builddir	= build-jvmci

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),2611,2609)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),2604,2603)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.26.0
shortver	= 26
v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//')
v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')

ifeq (yes,$(is_upstream_release))
  v_upbase      := $(word 1, $(subst +, , $(v_upstream)))
  v_upbuild     := $(word 2, $(subst +, , $(v_upstream)))
  ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
    $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
  endif
else
  v_upbase      := $(word 1, $(subst ~, , $(v_upstream)))
  v_upbuild     := $(word 2, $(subst ~, , $(v_upstream)))
  ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
    $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
  endif
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  jvmci_basedir = $(basedir)-jvmci
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
  testsuitedir	=	$(basedir)/testsuite
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  jvmci_basedir = $(basedir)-jvmci
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
  testsuitedir	=	$(basedir)/testsuite
endif
security	= $(etcdir)/security
ifeq ($(bootcycle_build),yes)
  sdkimg	= bootcycle-build/images/jdk
  build_target	= bootcycle-images test-image
  testimg	= images/test
else
  sdkimg	= images/jdk
  build_target	= images test-image
  testimg	= images/test
endif
ifeq ($(zbootcycle_build),yes)
  zsdkimg	= bootcycle-build/images/jdk
  zbuild_target	= bootcycle-images test-image
else
  zsdkimg	= images/jdk
  zbuild_target	= images test-image
endif

jvmci_img	= images/graal-builder-jdk
jvmci_target	= graal-builder-image
# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

jtreg_pkg = jtreg8
testng_pkg = libtestng7-java

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(DEB_HOST_ARCH), alpha arc armel mipsel mips64el powerpc riscv64 x32))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif
# no jtreg backport yet
ifneq (,$(filter $(distrel), precise trusty xenial bionic bookworm bullseye))
  with_check = disabled for $(distrel), no $(jtreg_pkg)
endif
#with_check = disabled, more recent jtreg needed

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(distrel), precise trusty))
  with_docs =
endif
#with_check = disabled for this upload

with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arc=arc arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 loong64=loong64 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)

any_archs = alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32

altzero_archs = $(hotspot_archs)
ifneq (,$(filter $(distrel),trusty))
  altzero_archs := $(filter-out arm64, $(altzero_archs))
endif

ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  altzero_archs =
else ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
  alternate_vms += zero
  zero_dir = zero
endif

# needed for the jexec build
export DEBIAN_JDK_BASE_DIR := /$(basedir)

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-26-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-25-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

ifneq (,$(filter $(distrel),saucy))
  export CC = gcc-4.8
  export CXX = g++-4.8
  bd_gcc = g++-4.8,
else ifneq (,$(filter $(distrel),utopic vivid jessie))
  export CC = gcc-4.9
  export CXX = g++-4.9
  bd_gcc = g++-4.9,

=== debian/tests/control ===
Test-Command: java --version
Depends: openjdk-26-jre-headless
Restrictions: allow-stderr, superficial

Test-Command: javac --version
Depends: openjdk-26-jdk-headless
Restrictions: allow-stderr, superficial

Tests: hotspot-autopkgtest.sh
Depends: @, jtreg8 (>= 8.1+1~), libtestng7-java, build-essential, bash, lsb-release, xfwm4, xvfb, xauth, dbus-x11, libatk-wrapper-java, libatk-wrapper-java-jni
Restrictions: allow-stderr, skippable, flaky, rw-build-tree
Architecture: amd64 arm64 ppc64 ppc64el riscv64 s390x alpha ia64 powerpc ppc64 sh4 x32 armel loong64 mipsel mips64el riscv64

Tests: jdk-autopkgtest.sh
Depends: @, jtreg8 (>= 8.1+1~), libtestng7-java, build-essential, bash, lsb-release, xfwm4, xvfb, xauth, dbus-x11, libatk-wrapper-java, libatk-wrapper-java-jni
Restrictions: allow-stderr, skippable, flaky, rw-build-tree
Architecture: amd64 arm64 ppc64 ppc64el riscv64 s390x alpha ia64 powerpc ppc64 sh4 x32 armel loong64 mipsel mips64el riscv64

Tests: dependencies.sh
Depends: @, build-essential, bash
Restrictions: allow-stderr, skippable, flaky

## openjdk-26 26~26ea

=== debian/changelog ===
openjdk-26 (26~26ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 26.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Nov 2025 21:24:43 +0100

## openjdk-26 26~28ea

=== debian/changelog ===
openjdk-26 (26~28ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 28.
  * d/{rules/control.in/test/control.in}: Replace dbus-x11 with dbus-
    daemon dependency. Closes: #1117100.
  * d/{control,test/control}: Regenerate.
  * d/README.{Debian,source}: Update package readme files.
  * d/rules: Use generic code to replace bundled jquery.
  * d/JB-doc.overrides.in: Drop binary package bundled jquery
    override. The override is not needed for the binary package.
  * d/s/lintian-overrides: Update jquery override override comment.
  * Update unstripped-binary-or-object override comments.
    OpenJDK needs symbols for Native Memory Tracking.
  * d/control: add myself as an uploader.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 15 Dec 2025 10:50:27 +1300

=== debian/tests/control ===
Test-Command: java --version
Depends: openjdk-26-jre-headless
Restrictions: allow-stderr, superficial

Test-Command: javac --version
Depends: openjdk-26-jdk-headless
Restrictions: allow-stderr, superficial

Tests: hotspot-autopkgtest.sh
Depends: @, jtreg8 (>= 8.1+1~), libtestng7-java, build-essential, bash, lsb-release, xfwm4, xvfb, xauth, dbus-daemon, libatk-wrapper-java, libatk-wrapper-java-jni
Restrictions: allow-stderr, skippable, flaky, rw-build-tree
Architecture: amd64 arm64 ppc64 ppc64el riscv64 s390x alpha ia64 powerpc ppc64 sh4 x32 armel loong64 mipsel mips64el riscv64

Tests: jdk-autopkgtest.sh
Depends: @, jtreg8 (>= 8.1+1~), libtestng7-java, build-essential, bash, lsb-release, xfwm4, xvfb, xauth, dbus-daemon, libatk-wrapper-java, libatk-wrapper-java-jni
Restrictions: allow-stderr, skippable, flaky, rw-build-tree
Architecture: amd64 arm64 ppc64 ppc64el riscv64 s390x alpha ia64 powerpc ppc64 sh4 x32 armel loong64 mipsel mips64el riscv64

Tests: dependencies.sh
Depends: @, build-essential, bash
Restrictions: allow-stderr, skippable, flaky

## openjdk-26 26~30ea

=== debian/changelog ===
openjdk-26 (26~30ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 30.
  * d/p/ldap-timeout-test-use-ip.patch: Refresh patch.
  * d/t/control.in: dependencies.sh test needs only jre-headless
    package, remove flaky and skippable flags.
  * d/t/control: Regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 12 Jan 2026 14:52:28 +1300

## openjdk-26 26~32ea

=== debian/changelog ===
openjdk-26 (26~32ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 32.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Jan 2026 07:08:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: java
 Priority: optional
 Maintainer: OpenJDK Team <openjdk-26@packages.debian.org>
-Uploaders: Matthias Klose <doko@ubuntu.com>
+Uploaders: Matthias Klose <doko@ubuntu.com>, Vladimir Petko <vladimir.petko@canonical.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg8 (>= 8.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, xvfb  <!nocheck>,
+  jtreg8 (>= 8.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-daemon <!nocheck>, libasmtools-java <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, ant, ant-optional,
   g++-15 <!cross>,
   openjdk-25-jdk-headless:native | openjdk-26-jdk-headless:native,
@@ -142,7 +142,7 @@
 Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Depends: openjdk-26-jdk (= ${binary:Version}),
-  build-essential, xfwm4, xvfb, dbus-x11, libatk-wrapper-java,
+  build-essential, xfwm4, xvfb, dbus-daemon, libatk-wrapper-java,
   libatk-wrapper-java-jni, jtreg8 (>= 8.1+1~), libtestng7-java,
   ${shlibs:Depends},
   ${misc:Depends}

=== debian/tests/control ===
--- 
+++ 
@@ -17,5 +17,5 @@
 Architecture: amd64 arm64 ppc64 ppc64el riscv64 s390x alpha ia64 powerpc ppc64 sh4 x32 armel loong64 mipsel mips64el riscv64
 
 Tests: dependencies.sh
-Depends: @, build-essential, bash
-Restrictions: allow-stderr, skippable, flaky
+Depends: openjdk-26-jre-headless, build-essential, bash
+Restrictions: allow-stderr

## openjdk-26 26~34ea

=== debian/changelog ===
openjdk-26 (26~34ea-1) unstable; urgency=medium

  * OpenJDK 26 snapshot, build 34.
  * Update VCS attributes in the control file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Feb 2026 01:37:43 +0100

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
   openjdk-26-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://openjdk.java.net/
-Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk
-Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git
+Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk/tree/openjdk-26
+Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git -b openjdk-26
 
 Package: openjdk-26-jdk-headless
 Architecture: alpha amd64 arc armel armhf arm64 i386 loong64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32

## openjdk-26 alpha19

=== src/demo/share/java2d/J2DBench/Makefile ===
#
# Copyright (c) 2002, 2024, Oracle and/or its affiliates. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#   - Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#   - Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#   - Neither the name of Oracle nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


ifndef SOURCE
export SOURCE := 8
endif
ifndef TARGET
export TARGET := 8
endif
ifndef JAVAC
export JAVAC := javac
endif
ifndef JAVA
export JAVA := java
endif
ifndef JAR
export JAR := jar
endif

SOURCEPATH=src
CLASSES=build
DIST=dist
RESOURCES=resources

J2DBENCH_CLASSES = \
	$(CLASSES)/j2dbench/J2DBench.class \
	$(CLASSES)/j2dbench/Destinations.class \
	$(CLASSES)/j2dbench/Group.class \
	$(CLASSES)/j2dbench/Result.class \
	$(CLASSES)/j2dbench/Modifier.class \
	$(CLASSES)/j2dbench/Node.class \
	$(CLASSES)/j2dbench/Option.class \
	$(CLASSES)/j2dbench/ResultSet.class \
	$(CLASSES)/j2dbench/TestEnvironment.class \
	$(CLASSES)/j2dbench/Test.class \
	$(CLASSES)/j2dbench/ui/EnableButton.class \
	$(CLASSES)/j2dbench/ui/CompactLayout.class \
	$(CLASSES)/j2dbench/tests/ImageTests.class \
	$(CLASSES)/j2dbench/tests/RenderTests.class \
	$(CLASSES)/j2dbench/tests/PixelTests.class \
	$(CLASSES)/j2dbench/tests/MiscTests.class \
	$(CLASSES)/j2dbench/tests/iio/IIOTests.class \
	$(CLASSES)/j2dbench/tests/iio/InputTests.class \
	$(CLASSES)/j2dbench/tests/iio/InputImageTests.class \
	$(CLASSES)/j2dbench/tests/iio/InputStreamTests.class \
	$(CLASSES)/j2dbench/tests/iio/OutputTests.class \
	$(CLASSES)/j2dbench/tests/iio/OutputImageTests.class \
	$(CLASSES)/j2dbench/tests/iio/OutputStreamTests.class \
	$(CLASSES)/j2dbench/tests/text/TextConstructionTests.class \
	$(CLASSES)/j2dbench/tests/text/TextMeasureTests.class \
	$(CLASSES)/j2dbench/tests/text/TextRenderTests.class \
	$(CLASSES)/j2dbench/tests/text/TextTests.class \
	$(CLASSES)/j2dbench/tests/GraphicsTests.class

J2DANALYZER_CLASSES = \
	$(CLASSES)/j2dbench/report/IIOComparator.class \
	$(CLASSES)/j2dbench/report/HTMLSeriesReporter.class \
	$(CLASSES)/j2dbench/report/J2DAnalyzer.class \
	$(CLASSES)/j2dbench/report/XMLHTMLReporter.class

J2DBENCH_RESOURCES = \
	$(CLASSES)/j2dbench/tests/iio/images \
	$(CLASSES)/j2dbench/tests/cmm/images \
	$(CLASSES)/j2dbench/tests/text/textdata

SCM_DIRs = .hg .svn CVS RCS SCCS Codemgr_wsdata deleted_files

all: mkdirs J2DBench.jar J2DAnalyzer.jar

run: mkdirs J2DBench.jar
	$(JAVA) -jar $(DIST)/J2DBench.jar

analyze: mkdirs J2DAnalyzer.jar
	$(JAVA) -jar $(DIST)/J2DAnalyzer.jar

J2DBench.jar: \
	$(J2DBENCH_CLASSES) $(J2DBENCH_RESOURCES) \
	$(CLASSES)/j2dbench.manifest
	$(JAR) cvmf $(CLASSES)/j2dbench.manifest $(DIST)/J2DBench.jar -C $(CLASSES) j2dbench

J2DAnalyzer.jar: $(J2DANALYZER_CLASSES) $(CLASSES)/j2danalyzer.manifest
	$(JAR) cvmf $(CLASSES)/j2danalyzer.manifest \
		$(DIST)/J2DAnalyzer.jar -C $(CLASSES) j2dbench/report

$(CLASSES)/j2dbench/tests/iio/images: $(RESOURCES)/images
	cp -r $< $@
	cd $@ && rm -rf $(SCM_DIRs)

$(CLASSES)/j2dbench/tests/text/textdata: $(RESOURCES)/textdata
	cp -r $< $@
	cd $@ && rm -rf $(SCM_DIRs)

$(CLASSES)/j2dbench/tests/cmm/images: $(RESOURCES)/cmm_images
	cp -r $< $@
	cd $@ && rm -rf $(SCM_DIRs)

$(CLASSES)/j2dbench.manifest:
	echo "Main-Class: j2dbench.J2DBench" > $@

$(CLASSES)/j2danalyzer.manifest:
	echo "Main-Class: j2dbench.report.J2DAnalyzer" > $@

$(DIST):
	mkdir $(DIST)
$(CLASSES):
	mkdir $(CLASSES)

mkdirs: $(DIST) $(CLASSES)

$(CLASSES)/j2dbench/%.class: $(SOURCEPATH)/j2dbench/%.java
	$(JAVAC) -g:none -source $(SOURCE) -target $(TARGET) -d $(CLASSES) -sourcepath $(SOURCEPATH) $<

clean:
	rm -rf $(CLASSES)
	rm -rf $(DIST)

## openjdk-26 alpha20

=== test/jdk/java/rmi/reliability/benchmark/bench/rmi/Makefile ===
#
# Copyright (c) 2000, 2024, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

#
#
#
# RMI benchmarks makefile
#

BUILD_DIR = ../..
JAVA_FILES = BenchServer.java \
	BenchServerImpl.java \
	BooleanArrayCalls.java \
	BooleanCalls.java \
	ByteArrayCalls.java \
	ByteCalls.java \
	CharArrayCalls.java \
	CharCalls.java \
	ClassLoading.java \
	DoubleArrayCalls.java \
	DoubleCalls.java \
	ExceptionCalls.java \
	ExportObjs.java \
	FloatArrayCalls.java \
	FloatCalls.java \
	IntArrayCalls.java \
	IntCalls.java \
	LongArrayCalls.java \
	LongCalls.java \
	Main.java \
	NullCalls.java \
	ObjArrayCalls.java \
	ObjTreeCalls.java \
	ProxyArrayCalls.java \
	RemoteObjArrayCalls.java \
	ShortArrayCalls.java \
	ShortCalls.java \
	SmallObjTreeCalls.java \
	TheTerminator.java

all: .classes altroot.dir

.classes: $(JAVA_FILES)
	javac -d $(BUILD_DIR) $(JAVA_FILES)
	touch .classes

altroot.dir:
	cd altroot ; $(MAKE)

altroot.clean:
	cd altroot ; $(MAKE) clean

clean: altroot.clean
	rm -f *.class .classes
